> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1domainsaccounts 1



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/domains/accounts/{account}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/domains/accounts/{account}:
    get:
      tags:
        - DomainAccounts
      operationId: domains.accounts.show
      parameters:
        - name: account
          in: path
          required: true
          description: The account ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: '`DomainAccountData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/DomainAccountData'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    DomainAccountData:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          format: uuid
        name:
          type: string
        meta:
          anyOf:
            - $ref: '#/components/schemas/DomainAccountMetaData'
            - type: 'null'
        type:
          type:
            - string
            - 'null'
          enum:
            - namecheap
          default: namecheap
        is_active:
          type:
            - boolean
            - 'null'
          default: true
      required:
        - id
        - name
        - meta
        - type
        - is_active
      title: DomainAccountData
    DomainAccountMetaData:
      type: object
      properties:
        apiKey:
          type: string
        apiUser:
          type: string
        apiUrl:
          type: string
        clientIp:
          type:
            - string
            - 'null'
        firstName:
          type: string
        lastName:
          type: string
        address1:
          type: string
        address2:
          type:
            - string
            - 'null'
        city:
          type: string
        stateProvince:
          type: string
        postalCode:
          type: string
        country:
          type: string
        phone:
          type: string
        email:
          type: string
        techFirstName:
          type:
            - string
            - 'null'
        techLastName:
          type:
            - string
            - 'null'
        techAddress1:
          type:
            - string
            - 'null'
        techAddress2:
          type:
            - string
            - 'null'
        techCity:
          type:
            - string
            - 'null'
        techStateProvince:
          type:
            - string
            - 'null'
        techPostalCode:
          type:
            - string
            - 'null'
        techCountry:
          type:
            - string
            - 'null'
        techPhone:
          type:
            - string
            - 'null'
        techEmail:
          type:
            - string
            - 'null'
        adminLastName:
          type:
            - string
            - 'null'
        adminFirstName:
          type:
            - string
            - 'null'
        adminAddress1:
          type:
            - string
            - 'null'
        adminAddress2:
          type:
            - string
            - 'null'
        adminCity:
          type:
            - string
            - 'null'
        adminStateProvince:
          type:
            - string
            - 'null'
        adminPostalCode:
          type:
            - string
            - 'null'
        adminCountry:
          type:
            - string
            - 'null'
        adminPhone:
          type:
            - string
            - 'null'
        adminEmail:
          type:
            - string
            - 'null'
        auxBillingLastName:
          type:
            - string
            - 'null'
        auxBillingFirstName:
          type:
            - string
            - 'null'
        auxBillingAddress1:
          type:
            - string
            - 'null'
        auxBillingAddress2:
          type:
            - string
            - 'null'
        auxBillingCity:
          type:
            - string
            - 'null'
        auxBillingStateProvince:
          type:
            - string
            - 'null'
        auxBillingPostalCode:
          type:
            - string
            - 'null'
        auxBillingCountry:
          type:
            - string
            - 'null'
        auxBillingPhone:
          type:
            - string
            - 'null'
        auxBillingEmail:
          type:
            - string
            - 'null'
      required:
        - apiKey
        - apiUser
        - apiUrl
        - clientIp
        - firstName
        - lastName
        - address1
        - address2
        - city
        - stateProvince
        - postalCode
        - country
        - phone
        - email
        - techFirstName
        - techLastName
        - techAddress1
        - techAddress2
        - techCity
        - techStateProvince
        - techPostalCode
        - techCountry
        - techPhone
        - techEmail
        - adminLastName
        - adminFirstName
        - adminAddress1
        - adminAddress2
        - adminCity
        - adminStateProvince
        - adminPostalCode
        - adminCountry
        - adminPhone
        - adminEmail
        - auxBillingLastName
        - auxBillingFirstName
        - auxBillingAddress1
        - auxBillingAddress2
        - auxBillingCity
        - auxBillingStateProvince
        - auxBillingPostalCode
        - auxBillingCountry
        - auxBillingPhone
        - auxBillingEmail
      title: DomainAccountMetaData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````